﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridObservableDictionary
{
    public partial class MainPage : UserControl
    {
        public ObservableDictionary<int, MyObject> data { get; set; }

        public MainPage()
        {
            InitializeComponent();
            data = new ObservableDictionary<int, MyObject>();
            data.Add(1, new MyObject() { Name = "person1", Age = 10 });
            data.Add(2, new MyObject() { Name = "person2", Age = 20 });
            data.Add(3, new MyObject() { Name = "person3", Age = 30 });

            this.DataContext = data;

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            data.Add(data.Count + 1, new MyObject() { Name = "person" + data.Count + 1, Age = (data.Count + 1)*10 });
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            data.Remove(data.LastOrDefault().Key);
        }
    }

    public class MyObject
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }
}
